

	
*------------------------------------------------------------------*
*					Figure 5: Welfare analysis 					   *
*------------------------------------------------------------------*
egen Li = rowtotal(Lih Lil)
*--- PANEL A- (No oecd HS)
sc d_welh_c welh_NMc  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_welh_c welh_NMc, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-HS OECD emigration expected welfare) || ///
	fpfitci d_welh_c welh_NMc,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline)
	graph export "$Fig5\Fig_5_a.png", replace 

*--- PANEL B- (No oecd LS)
sc d_well_c well_NMc  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_well_c well_NMc, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-LS OECD emigration expected welfare) || ///
	lfitci d_well_c well_NMc,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline)
	graph export "$Fig5\Fig_5_b.png", replace 
	
*--- PANEL C- (No internal HS)
sc d_welh_b welh_NMb  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_welh_b welh_NMb, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-HS internal migration expected welfare) || ///
	lfitci d_welh_b welh_NMb,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline)
	graph export "$Fig5\Fig_5_c.png", replace 
	
*--- PANEL D- (No internal LS)
sc d_well_b well_NMb  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_well_b well_NMb, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-LS internal migration expected welfare) || ///
	lfitci d_well_b well_NMb,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline)
	graph export "$Fig5\Fig_5_d.png", replace 
	
*--- PANEL E- (No migration HS)
sc d_welh_a welh_NMa  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_welh_a welh_NMa, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-HS migration expected welfare) || ///
	lfitci d_welh_a welh_NMa,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline)
	graph export "$Fig5\Fig_5_e.png", replace 
	 
*--- PANEL F (No migration LS)
sc d_well_a well_NMa  [fw=Li], ms(oh) mcol(red) legend(off) || ///
	sc d_well_a well_NMa, ms(i) mlab(dep_reg) mlabpos(c) mlabsize(tiny) ///
	mlabcol(black) graphregion(color(white)) ///
	yti(Relative deviation in expected welfare) ///
	xti(No-LS migration expected welfare) || ///
	lfitci d_well_a well_NMa,lcolor(blue) lpattern(line) ///
	blcolor(black) blpattern(dash) ciplot(rline) 
	graph export "$Fig5\Fig_5_f.png", replace 	
	