

*%-------------------------------------------------------------------------%
*%        THE WITHIN-COUNTRY DISTRIBUTION OF BRAIN DRAIN AND BRAIN         %
*%                   GAIN EFFECTS: A CASE STUDY ON SENEGAL                 %
*%                   Journal of Demograhic Economics (2024)                %
*%                               Authors :                                 %
*%           Bocquier P., Cha'ngom N., Docquier F., and Machado J.         %
*%-------------------------------------------------------------------------%

*% Esch-Belval, October 16, 2023
*% Narcisse Cha'ngom 
*% LISER 

*------------------------------------------------------------------*
*								Set up  						   *
*------------------------------------------------------------------*

clear all 
gl path "U:\CHANGOM\JODE\Matlab_code\Replication_file_BCDM2024\STATA"
cd "$path"
gl Dofiles "$path\Do-Files" 
gl cleaned "$path\Processed"
gl Fig5 "$path\Figures\Figure5"
gl Fig6 "$path\Figures\Figure6"
gl data "$path\Data"


*------------------------------------------------------------------*
*					Data preparation (Using Matlab output)   	   *
*------------------------------------------------------------------*


run "$Dofiles\data-prepation-JODE.do"



*------------------------------------------------------------------*
*					Figure 5: Welfare analysis 					   *
*------------------------------------------------------------------*


run "$Dofiles\Figure_5.do" 


*------------------------------------------------------------------*
*			Figure 6: Skill premium and Human Capital Effects	   *
*------------------------------------------------------------------*


run "$Dofiles\Figure_6.do" 


